Test Case Results
Retrieve historical test case execution results and submit new test run outcomes with pass/fail status and metrics for data quality monitoring using the Collate REST API.
GET
GET /v1/dataQuality/testCases/testCaseResults/{fqn}
Test Case Results
Retrieve test case execution results or add new results programmatically. Each result includes a status, timestamp, and detailed result values.Get Test Case Results
Fully qualified name (FQN) returned when creating the test case. URL-encode it when necessary.
duration, the time the run took in milliseconds, and, for a run that an error aborted, errorDetails. See Add a Test Case Result for both fields.
Add a Test Case Result
UsePOST /v1/dataQuality/testCases/testCaseResults/{fqn} to add a new test result.
Fully qualified name (FQN) returned when creating the test case. URL-encode it when necessary.
Body Parameters
Details of the error that aborted the run. Collate shows them in the Execution error section of the Run Details card.
GET /v1/dataQuality/testCases/testCaseResults/{fqn}